#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libadwaita
Version		:	1.3.3
Release		:	16.2.0.rel%{?dist}
Summary		:	Building blocks for modern GNOME applications

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://gitlab.gnome.org/GNOME/libadwaita

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils
BuildRequires	:	gcc
BuildRequires	:	intltool
BuildRequires	:	meson >= 0.59.0
BuildRequires	:	vala
BuildRequires	:	sassc
BuildRequires	:	pkgconfig(gobject-introspection-1.0)
BuildRequires	:	pkgconfig(gtk4) >= 4.5	

#-----------------------------------------------------------------------------
%description
Building blocks for modern GNOME applications.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/adwaita-1-demo
%{_libdir}/%{name}-1.so.0
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_datadir}/metainfo/*.metainfo.xml

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		=  %{version}-%{release}
Requires	:	vala

#-----------------------------------------------------------------------------
%description		devel
Development files for %{name}.
	
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1/adwaita.h
%{_includedir}/%{name}-1/adw-*.h
%{_libdir}/%{name}-1.so
%{_libdir}/pkgconfig/%{name}-1.pc
%{_datadir}/gir-1.0/Adw-1.gir
%{_datadir}/vala/vapi/%{name}-1.deps
%{_datadir}/vala/vapi/%{name}-1.vapi

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	--buildtype=release				\
	-D gtk_doc=false				\
	build

ninja							\
	-C build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
		-C build				\
		install

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
